so=read.csv('./Experiment1.csv')
motionList=c("Fourier","Theta","Drift Balanced","Small Field")
col1List=c(rgb(1,.8,.6),rgb(0.6,.8,1),rgb(1,.8,.8),rgb(0.6,.6,.6))
col2List=c(rgb(1,0,0),rgb(1,0,0),rgb(1,0,0),rgb(1,0,0))
hitsCross=matrix(nrow=4,ncol=1)
hitsUnc=matrix(nrow=4,ncol=1)
numCross=matrix(nrow=4,ncol=1)
numUnc=matrix(nrow=4,ncol=1)
conIntCross=matrix(nrow=4,ncol=3)
conIntUnc=matrix(nrow=4, ncol=3)
vc=c(1,2,3)
vu=c(1,2,3)

for(j in 1:4){
  motion=motionList[j]
col1=col1List[j]
col2=col2List[j]
hitsCross[j,1]=sum(subset(so, Condition==motion&Disp==1, na.rm=TRUE)$Presp)
numCross[j,1]=length(subset(so, Condition==motion&Disp==1, na.rm=TRUE)$Presp)
hitsUnc[j,1]=sum(subset(so, Condition==motion&Disp==0, na.rm=TRUE)$Presp)
numUnc[j,1]=length(subset(so, Condition==motion&Disp==0, na.rm=TRUE)$Presp)
conIntCross[j,1:3]=binconf(hitsCross[j],numCross[j])
conIntUnc[j,1:3]=binconf(hitsUnc[j],numUnc[j])

for(i in 1:max(so$ID, na.rm=TRUE)){
  vc[i]=mean(subset(so, Condition==motion&Disp==1&ID==i, na.rm=TRUE)$Presp)
vu[i]=mean(subset(so, Condition==motion&Disp==0&ID==i, na.rm=TRUE)$Presp)
}

df2=data.frame(Response=c(vc,vu),Disparity=rep(c("Crossed", "Uncrossed"), each=8),ID=rep(1:8,2))
g=ggplot()+geom_line(data=df2,aes(x=Disparity, y=Response,group=ID), colour=col1, size=1.2)+geom_point(data=df2,aes(x=Disparity, y=Response,group=ID),colour=col1, size=3)
cComb=mean(subset(so, Condition==motion&Disp==1, na.rm=TRUE)$Presp)
ucComb=mean(subset(so, Condition==motion&Disp==0, na.rm=TRUE)$Presp)
y=c(cComb,ucComb);
minC=conIntCross[j,2]
  minU=conIntUnc[j,2]
maxC=conIntCross[j,3]
  maxU=conIntUnc[j,3]
  min=c(minC,minU)
  max=c(maxC, maxU)
  
df3=data.frame(Response=y,Disparity=c("Crossed", "Uncrossed"),ID=rep(8),min,max)
output=g+geom_line(data=df3, aes(x=Disparity, y=Response,group=ID),colour=col2, size=1.2)+geom_point(data=df3,aes(x=Disparity, y=Response,group=ID),colour=col2, size=3)+ylim(0, 1)+geom_errorbar(data=df3,aes(ymin=min, ymax=max, x=Disparity), width=.05, size=1, colour=col2)
output=output+labs(y = "Response Probability")
output=output+ theme_bw() + theme(panel.border = element_blank(), panel.grid.major = element_blank(),
                                  panel.grid.minor = element_blank(), axis.line = element_line(colour = "black"))
output=output+theme(axis.title.y = element_text(margin = margin(t = 0, r = 10, b = 0, l = 0)))
output=output+theme(axis.title.x = element_text(margin = margin(t = 10, r = 0, b = 0, l = 0)))
print(output)
}